<?php

    include("../../classes/database.class.php");
    include("../../classes/terminalModel.class.php");
    include("../../classes/terminalController.class.php");

    $idTerminal = $_POST["idTerminal"];
    $idUsuario = $_POST["idUsuario"];
    $idArmazem = $_POST["idArmazem"];
    $nome = $_POST["nome"];
    $endereco = $_POST["endereco"];
    $nota = $_POST["nota"];

    if($idUsuario == ""){
        $idUsuario = null;
    }
    if($idArmazem == ""){
        $idArmazem = null;
    }
    if($nome == ""){
        $nome = null;
    }
    if($endereco == ""){
        $endereco = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new TerminalController($idUsuario, $idArmazem, $nome, $endereco, $nota);
    $id = $modelo->updateTerminal($idTerminal);
    echo $id;